; hacker port firmware
; version 0.3.2 date 2004-05-27
; part of the hacker port project - http[s]://1stein.schuermans.info/hackerport/
; Copyright (C) 2003-2004 1stein <1stein@schuermans.info>
; Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html

	TITLE		"I/O pin declarations for hackerport firmware"



;===========================================================================================
; I/O pins
;===========================================================================================

; latch enable and output enable pins
#define PIN_LATCH_LE	LATB,5		; RB5 = latched port LE (output)
#define PIN_OUT_A_LE	LATC,5		; RC5 = OUTPUT A LE (output)
#define PIN_OUT_B_LE	LATE,0		; RE0 = OUTPUT B LE (output)
#define PIN_IN_A_nOE	LATE,1		; RE1 = INPUT A nOE (output)
#define PIN_IN_B_nOE	LATE,2		; RE2 = INPUT B nOE (output)

; data bus port
#define PORT_BUS_O	LATD		; RD0..7 = data bus (bidirectional, output)
#define PORT_BUS_I	PORTD		; RD0..7 = data bus (bidirectional, input)
#define PORT_BUS_T	TRISD		; RD0..7 = data bus (bidirectional, tris)

; JTAG pins
#define PIN_JTAG_TDO	PORTA,0		; RA4 = JTAG TDO (input)

; PICPROG pins
#define	PIN_PIC_PGD_O	LATC,0		; RC0 = PICPROG PGD (bidirectional, output)
#define	PIN_PIC_PGD_I	PORTC,0		; RC0 = PICPROG PGD (bidirectional, input)
#define	PIN_PIC_PGD_T	TRISC,0		; RC0 = PICPROG PGD (bidirectional, tris)

; USBN9604 control pins
#define	PIN_USB_nRST	LATB,0		; RB0 = USBN9604 nRST (output)
#define	PIN_USB_A0	LATB,1		; RB1 = USBN9604 A0 (output)
#define	PIN_USB_nRD 	LATB,2		; RB2 = USBN9604 nRD (output)
#define	PIN_USB_nWR 	LATB,3		; RB3 = USBN9604 nWR (output)
#define	PIN_USB_nCS 	LATB,4		; RB4 = USBN9604 nCS (output)

; RA0..3+RA5 = analog inputs
; RC1..2 = PWM outputs
; RC3..4 = I2C master
; RC6..7 = UART 

; RA6 = oscillator
; RB6..7 = serial in circuit programming and debugging

; state of latched port is sotred in LATCHED_PORT (declared in MAIN)

; JTAG pins (on latched port)
#define	PINL_JTAG_TRST	LATCHED_PORT,0	; latched port bit 0 = JTAG TRST
#define	PINL_JTAG_TCLK	LATCHED_PORT,1	; latched port bit 1 = JTAG TCLK
#define	PINL_JTAG_TMS	LATCHED_PORT,2	; latched port bit 2 = JTAG TMS
#define	PINL_JTAG_TDI	LATCHED_PORT,3	; latched port bit 3 = JTAG TDI

; PICPROG pins (on latched port)
#define	PINL_PIC_VPP	LATCHED_PORT,4	; latched port bit 4 = PICPROG VPP
#define	PINL_PIC_MCLR	LATCHED_PORT,5	; latched port bit 5 = PICPROG MCLR
#define	PINL_PIC_PGC	LATCHED_PORT,6	; latched port bit 6 = PICPROG PGC

; USB LED / 13V generator pins (on latched port)
#define	PINL_LED_13V	LATCHED_PORT,7	; latched port bit 7 = USB LED / 13V generator clock
